//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this sample source code is subject to the terms of the Microsoft
// license agreement under which you licensed this sample source code. If
// you did not accept the terms of the license agreement, you are not
// authorized to use this sample source code. For the terms of the license,
// please see the license agreement between you and Microsoft or, if applicable,
// see the LICENSE.RTF on your install media or the root of your tools installation.
// THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES.
//
/*++
THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

Module Name:

cm_x270.h

Abstract:

Private version of cm_x270.h

Notes:


--*/
#ifndef _CMX270_H__
#define _CMX270_H__

#include <winioctl.h>


// CM-X270 HAL IOCTLs
#define IOCTL_RTC_ALARM_CALL          CTL_CODE(FILE_DEVICE_HAL, 4006, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_SET_CPU_FREQ_CALL		  CTL_CODE(FILE_DEVICE_HAL, 4007, METHOD_BUFFERED, FILE_ANY_ACCESS)
#define IOCTL_GET_CPU_FREQ_CALL		  CTL_CODE(FILE_DEVICE_HAL, 4008, METHOD_BUFFERED, FILE_ANY_ACCESS)

extern "C"
{
	BOOL KernelIoControl(DWORD dwIoControlCode, LPVOID lpInBuf, DWORD nInBufSize, LPVOID lpOutBuf, DWORD nOutBufSize, LPDWORD lpBytesReturned);
}


#endif

